← Back home
Developer
API v2 Documentation
Integrate LikesOG into your panel, bot, or reseller site. All requests use POST with form-encoded parameters and return JSON.
Overview
- HTTP method
- POST
- Response format
- JSON
- API URL
- https://likesog.com/api/v2
- API key
- Get your key on the Account page after signing in.
Example request
curl -X POST "https://likesog.com/api/v2" \
-d "key=YOUR_API_KEY" \
-d "action=balance"Service list
action=services
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | services |
Example response
[
{
"service": 1,
"name": "Followers",
"type": "Default",
"category": "Instagram",
"rate": "0.90",
"min": "50",
"max": "10000",
"refill": true,
"cancel": true
}
]Add order
action=add
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | add |
| service | Service ID |
| link | Link to page |
| quantity | Needed quantity |
| runs | Runs to deliver (optional) |
| interval | Interval in minutes (optional) |
Example response
{ "order": 23501 }Order status
action=status
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | status |
| order | Order ID |
Example response
{
"charge": "0.27819",
"start_count": "3572",
"status": "Partial",
"remains": "157",
"currency": "USD"
}Multiple orders status
action=status
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | status |
| orders | Order IDs (comma-separated, up to 100) |
Example response
{
"1": {
"charge": "0.27819",
"start_count": "3572",
"status": "Partial",
"remains": "157",
"currency": "USD"
},
"10": { "error": "Incorrect order ID" }
}Create refill
action=refill
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | refill |
| order | Order ID |
Example response
{ "refill": "1" }Create multiple refill
action=refill
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | refill |
| orders | Order IDs (comma-separated, up to 100) |
Example response
[
{ "order": 1, "refill": 1 },
{ "order": 2, "refill": 2 },
{ "order": 3, "refill": { "error": "Incorrect order ID" } }
]Get refill status
action=refill_status
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | refill_status |
| refill | Refill ID |
Example response
{ "status": "Completed" }Get multiple refill status
action=refill_status
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | refill_status |
| refills | Refill IDs (comma-separated, up to 100) |
Example response
[
{ "refill": 1, "status": "Completed" },
{ "refill": 2, "status": "Rejected" },
{ "refill": 3, "status": { "error": "Refill not found" } }
]Create cancel
action=cancel
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | cancel |
| orders | Order IDs (comma-separated, up to 100) |
Example response
[
{ "order": 9, "cancel": { "error": "Incorrect order ID" } },
{ "order": 2, "cancel": 1 }
]User balance
action=balance
Parameters
| Parameter | Description |
|---|---|
| key | Your API key |
| action | balance |
Example response
{ "balance": "100.84292", "currency": "USD" }